> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar facturas

> Listar tus facturas con filtrado opcional

## Listar facturas

Devuelve una lista paginada de tus facturas.

### Parametros de consulta

<ParamField query="page" type="number" default="1">
  Numero de pagina
</ParamField>

<ParamField query="status" type="string">
  Filtrar por estado: `pending`, `paid`, `delegated`, `expired`, `failed`
</ParamField>

### Respuesta

Devuelve un objeto paginado con un array `invoices` y el conteo `total`.

### Ejemplo

```bash theme={null}
curl "https://api.tronrental.com/v1/invoices/my?page=1&status=delegated" \
  -H "X-API-Key: your_api_key"
```

```json Response theme={null}
{
  "invoices": [
    {
      "invoice_id": 789,
      "payment_address": "TPaymentAddress...",
      "address": "TRecipientAddress...",
      "energy_amount": 65000,
      "duration_hours": 1,
      "price_trx": "2.75",
      "price_usdt": "0.64",
      "status": "delegated",
      "created_at": "2026-03-05T12:00:00Z"
    }
  ],
  "total": 1,
  "page": 1,
  "pages": 1
}
```
